MKBOM(8)

NAME
mkbom - create a bill-of-materials file

SYNOPSIS
mkbom [-s] directory bom
mkbom [-s] -i filelist bom
mkbom -h | --help

DESCRIPTION
The mkbom command creates a bill-of-materials (bom(5)). You must specify either a source as a directory, or a text file containing a file listing as outputted by lsbom(8). mkbom will generate bill-of-materials information based on that information. Any existing bomfile will be overwritten by the new bomfile.

Options:

-h  print full usage

-s  create a simplified bom containing only file paths

-i filelist
    use the information in filelist, one entry per line, to construct the bom file. The format of the file should match lsbom(8) output with no formatting options (the default). If -s is given to mkbom, the input filelist should contain only pathnames, as with lsbom -s.

SEE ALSO
bom(5), ditto(8), mkbom(8)

HISTORY
The mkbom command appeared in NeXTSTEP as a tool to create bom files used during installation.